<?php
/*
* $Id: holiday.php
* $Loc: /templates/override/includes/hooks/shop/siteWide/
*
* Name: HolidayMessage
* Version: 3.3.1
* Release Date: 2024-12-13
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

class hook_shop_siteWide_holiday {

  function listen_orderMail($parameters) {
    global $language;
    
    if (!defined('MODULE_NOTIFICATIONS_CHECKOUT_SEPARATOR')) {
      $this->load_lang();
    }

    if ( defined('MODULE_CONTENT_HEADER_HOLIDAY_STATUS') && MODULE_CONTENT_HEADER_HOLIDAY_STATUS == 'True' && MODULE_CONTENT_HEADER_HOLIDAY_ORDER_MAIL == 'True') {
      $parameters['email'] .= MODULE_NOTIFICATIONS_CHECKOUT_SEPARATOR . "\n";
      $parameters['email'] .= constant('MODULE_CONTENT_HEADER_HOLIDAY_HEADER_' . strtoupper($language)). "\n";
      $parameters['email'] .= constant('MODULE_CONTENT_HEADER_HOLIDAY_TEXT_' . strtoupper($language)). "\n\n";
    }
  }
  
  public function load_lang() {
    require_once language::map_to_translation('modules/notifications/n_checkout.php');
  }

}
